# PearPkgMapping

Handles complex options <mapping> elements which are hashes (assoc arrays).

package | phing.tasks.ext

### Methods

## createElement

    createElement() : \PearPkgMappingElement

### Response

`\PearPkgMappingElement`

## getElements

    getElements() : array

### Response

`array`

## getName

    getName()

## Returns the PHP hash or array of hashes (etc.) that this mapping represents.

    getValue() : array

### Response

`array`

## setName

    setName( $v)

### Arguments

#### $v

``

### Properties

## name

    name :

### Type(s)

``

## elements

    elements :

### Type(s)

``